Post new audio files
Deprecated
POST
/audio
const url = 'https://app.mediamanager.io/api/v1/audio';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"team_id":1,"title":"example","description":"example","custom_fields":{"additionalProperty":"example"},"is_downloadable":true,"is_published":true,"url":"example","tags":["example"],"is_previewable":true,"disable_transcription":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.mediamanager.io/api/v1/audio \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "team_id": 1, "title": "example", "description": "example", "custom_fields": { "additionalProperty": "example" }, "is_downloadable": true, "is_published": true, "url": "example", "tags": [ "example" ], "is_previewable": true, "disable_transcription": true }'Create one or many new audio contents
This is a deprecated endpoint and will be removed. Please use /media/audio instead.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”Create one or many audio content
Media type application/json
One of:
object
team_id
integer
title
string
description
string
custom_fields
Custom fields as key value pairs
object
key
additional properties
string
is_downloadable
boolean
is_published
boolean
url
string
tags
An array of tags as strings
Array<string>
is_previewable
boolean
disable_transcription
boolean
Array
object
team_id
integer
title
string
description
string
custom_fields
Custom fields as key value pairs
object
key
additional properties
string
is_downloadable
boolean
is_published
boolean
url
string
tags
An array of tags as strings
Array<string>
is_previewable
boolean
disable_transcription
boolean
Example generated
{ "team_id": 1, "title": "example", "description": "example", "custom_fields": { "additionalProperty": "example" }, "is_downloadable": true, "is_published": true, "url": "example", "tags": [ "example" ], "is_previewable": true, "disable_transcription": true}Responses
Section titled “ Responses ”Created
Media type application/json
object
message
string
audio_token
string
messages
Array<string>
Example
{ "message": "Audio created"}Missing or invalid Authorization Bearer token
Media type application/json
object
message
string
Example generated
{ "message": "example"}